package com.bocloud.nms.model.veeam;

import java.util.List;

public class MGRRestorePointModel {

    List<LinkModel> Links;
    private String UID;
    private String Name;
    private String Href;
    private String Type;

    public List<LinkModel> getLinks() {
        return Links;
    }

    public void setLinks(List<LinkModel> links) {
        Links = links;
    }

    public String getUID() {
        return UID;
    }

    public void setUID(String UID) {
        this.UID = UID;
    }

    public String getName() {
        return Name;
    }

    public void setName(String name) {
        Name = name;
    }

    public String getHref() {
        return Href;
    }

    public void setHref(String href) {
        Href = href;
    }

    public String getType() {
        return Type;
    }

    public void setType(String type) {
        Type = type;
    }

    @Override
    public String toString() {
        return "MGRRestorePointModel{" +
                "Links=" + Links +
                ", UID='" + UID + '\'' +
                ", Name='" + Name + '\'' +
                ", Href='" + Href + '\'' +
                ", Type='" + Type + '\'' +
                '}';
    }
}
